from bitcoding import B_dict
from basesplit import bsplit
from baserels import B
from glob import globs

N = globs["size"]

# calculate van Beek weights for non base relations 
def relWeight(r):

   l = bsplit[r-1][1]
   
   return sum([w[i-1] for i in l])

# initializing van Beek weights
w = [None for i in xrange((2**N)-1)]

with open(globs['calc']+"/"+globs['calc']+".weights") as f:

   # van Beek weights for base relations
   for i in f:
      relation, weight = i.strip().split()
      w[B_dict[relation.strip()]-1] = int(weight.strip())

# setting van Beek weights for non base relations
for i in xrange((2**N)-1):
   if (i+1 not in B):
      w[i] = relWeight(i+1)
